{**********************************************************************
                PilotLogic Software House
  
    FPC Package fcl-db

    MariaDB 10.1 Data Dictionary Engine Implementation.
    
    ct9999
 **********************************************************************}
  
unit fpddmariadb101;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, sqldb, fpdatadict, fpddsqldb;
  
Type
  { TSQLDBMariaDB101DDEngine }

  TSQLDBMariaDB101DDEngine = Class(TSQLDBDDEngine)
  Protected
    Function CreateConnection(AConnectString  : String) : TSQLConnection; override;
  Public
    Class function Description : string; override;
    Class function DBType : String; override;
  end;

Procedure RegisterMariaDB101DDEngine;
Procedure UnRegisterMariaDB101DDEngine;

implementation

uses mariadb101conn;

Procedure RegisterMariaDB101DDEngine;

begin
  RegisterDictionaryEngine(TSQLDBMariaDB101DDEngine);
end;

Procedure UnRegisterMariaDB101DDEngine;

begin
  UnRegisterDictionaryEngine(TSQLDBMariaDB101DDEngine);
end;

{ TSQLDBMariaDB101DDEngine }

function TSQLDBMariaDB101DDEngine.CreateConnection(AConnectString: String
  ): TSQLConnection;
begin
  Result:=MariaDB101conn.TMariaDB101Connection.Create(Self);
end;

class function TSQLDBMariaDB101DDEngine.Description: string;
begin
  Result:='MariaDB 10.1 connection using SQLDB';
end;

class function TSQLDBMariaDB101DDEngine.DBType: String;
begin
  Result:='MariaDB 10.1';
end;

end.

